package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConexionRutaCtrl;
import com.rjconsultores.ventaboletos.entidad.ConexionRutaTramoCtrl;
import com.rjconsultores.ventaboletos.entidad.Parada;

public interface ConexionRutaTramoCtrlService {

	public ConexionRutaTramoCtrl suscribir(ConexionRutaTramoCtrl conexion);

	public ConexionRutaTramoCtrl actualizacion(ConexionRutaTramoCtrl conexion);

	public void borrar(ConexionRutaTramoCtrl conexion);

	public List<ConexionRutaTramoCtrl> buscarPorConexionRutaCtrl(ConexionRutaCtrl conexionRutaCtrl, Integer rutaId);
	
	public void borrar(List<ConexionRutaTramoCtrl> lsConexion);
	
	public void suscribirTodos(List<ConexionRutaTramoCtrl> conexiones);

	public ConexionRutaTramoCtrl buscarPorId(Long conexionRutaTramoId);

	public boolean validarConexioneRutasExistentes(Integer rutaOrigenId, Integer rutaDestinoId, Integer paradaOrigenId, Integer paradaDestinoId, Integer origemTrechoId, Integer destinoTrechoId, Integer integer);
	
	public List<Parada> buscarLocalidadesEixoA(Integer conexionRutaConfId);
	
	public List<Parada> buscarLocalidadeEixoB(Integer conexionRutaConfId);
	
	public List<Parada> buscarLocalidadesEixoC(Integer conexionRutaConfId);

	public List<Parada> buscarTodasLocalidadesOrigem(Integer conexionRutaConfId);

	public List<Parada> buscarTodasLocalidadesDestino(Integer conexionRutaConfId);

	public List<Parada> buscarTodasLocalidadesDestinoC(Integer conexionRutaConfId);
	
}
